{{ $site_settings := .Site }}
{{ $relativePermalink := .RelPermalink }}
<!DOCTYPE html>
<html lang="{{ .Site.LanguageCode }}">

  <head>
    {{ partial "headers.html" . }}
    {{ partial "custom_headers.html" . }}
  </head>

  <body>

    <div id="all">

        {{ partial "top.html" . }}

        {{ partial "nav.html" . }}

        {{ partial "breadcrumbs.html" . }}

        <div id="content">
            <div class="container">
                <div class="row">
                    <!-- *** LEFT COLUMN *** -->

                    <div class="col-md-9" id="blog-listing-medium">

                        {{ $paginator := .Paginate (where .Data.Pages "Type" "in" .Site.Params.mainSections) }}
                        {{ range $paginator.Pages }}
                        {{ if ne .Site.Params.alternate_url "" }}
                             {{ $relativePermalink = strings.TrimPrefix "/www/feedit/" .RelPermalink  }}
                        {{ end }}
                        <section class="post">
                            <div class="row">
                                <div class="col-md-4">
                                  <div class="image">
                                      <a href="{{ .Site.Params.alternate_url | default site.BaseURL }}{{ $relativePermalink }}">
                                          {{ if .Params.banner }}
                                          <img src="{{ .Params.banner }}" class="img-responsive" alt="">
                                          {{ else }}
                                          <img src="{{ "img/placeholder.png" | relURL }}" class="img-responsive" alt="">
                                          {{ end }}
                                      </a>
                                  </div>
                                </div>
                                <div class="col-md-8">
                                    <h2><a href="{{ .Site.Params.alternate_url | default site.BaseURL }}{{ $relativePermalink }}">{{ .Title }}</a></h2>
                                    <div class="clearfix">
                                        <p class="author-category">
                                          {{ if isset .Params "authors" }}
					  {{ i18n "authorBy" }} {{ range $index, $author := .Params.authors }}{{ if $index }}, {{ end }}
                                        {{ $alt_url := $site_settings.Params.alternate_url }}
                                            <a href="{{ $alt_url }}{{ (printf "%s/%s" ("authors" ) ($author | urlize)) }}/">{{ $author }}</a>{{ end }}
                                          {{ end }}
                                          {{ if isset .Params "categories" }}
                                          {{ if gt (len .Params.categories) 0 }}
                                          in 
                                          {{ range $index, $category := .Params.categories }}{{ if $index }}, {{ end }}
                                            {{ $alt_url := $site_settings.Params.alternate_url }}
                                              <a href="{{ $alt_url }}{{ "categories/" }}{{ . | urlize | lower }}/">{{ $category }}</a>{{ end }}
                                          {{ end }}
                                          {{ end }}

                                        </p>
                                        {{ if isset .Params "date" }}

                                        {{ $createdAt := .Date.Format .Site.Params.date_format }}
                                        {{ range $index, $month := slice "January" "February" "March" "April" "May" "June" "July" "August" "September" "October" "November" "December" }}
                                            {{ $createdAt = replace $createdAt $month (i18n $month) }}
                                        {{ end }}

                                        <p class="date-comments">
                                            <a href="{{ .Site.Params.alternate_url | default site.BaseURL }}{{ $relativePermalink }}"><i class="far fa-calendar"></i> {{ $createdAt }}</a>
                                        </p>
                                        {{ end }}
                                    </div>
                                    {{ if not .Site.Params.recent_posts.hide_summary }}
                                    <p class="intro">{{ .Summary }}</p>
                                    <p class="read-more"><a href="{{ .Site.Params.alternate_url | default site.BaseURL }}{{ $relativePermalink }}" class="btn btn-template-main">{{ i18n "continueReading" }}</a>
                                    </p>
                                    {{ end }}
                                </div>
                            </div>
                        </section>
                        {{ end }}

                        <ul class="pager">
                            {{ if .Paginator.HasPrev }}
                            <li class="previous"><a href="{{ .Paginator.Prev.URL | relURL }}">&larr; {{ i18n "newer" }}</a></li>
                            {{ else }}
                            <li class="previous disabled"><a href="#">&larr; {{ i18n "newer" }}</a></li>
                            {{ end }}

                            {{ if .Paginator.HasNext }}
                            <li class="next"><a href="{{ .Paginator.Next.URL | relURL }}">{{ i18n "older" }} &rarr;</a></li>
                            {{ else }}
                            <li class="next disabled"><a href="#">{{ i18n "older" }} &rarr;</a></li>
                            {{ end }}
                        </ul>
                    </div>
                    <!-- /.col-md-9 -->

                    <!-- *** LEFT COLUMN END *** -->

                    <!-- *** RIGHT COLUMN ***
       _________________________________________________________ -->

                    <div class="col-md-3">

                        <!-- *** MENUS AND WIDGETS *** -->

                        {{ partial "sidebar.html" . }}

                        <!-- *** MENUS AND FILTERS END *** -->

                    </div>
                    <!-- /.col-md-3 -->

                    <!-- *** RIGHT COLUMN END *** -->

                </div>
                <!-- /.row -->
            </div>
            <!-- /.container -->
        </div>
        <!-- /#content -->

        {{ partial "footer.html" . }}

    </div>
    <!-- /#all -->

    {{ partial "scripts.html" . }}

  </body>
</html>
